pflash(8)

NAME
pflash - manual page for Open-Power Flash tool

SYNOPSIS
pflash [options] commands...

DESCRIPTION
pflash is a tool to access the flash modules on such systems and update the OpenPower firmware.

  Options

-a address, --address=address
    Specify the start address for erasing, reading or flashing

-s size, --size=size
    Specify the size in bytes for erasing, reading or flashing

-P part_name, --partition=part_name
    Specify the partition whose content is to be erased programmed or read. This is an alternative to -a and -s if both -P and -s are specified, the smallest of the two will be used

-f, --force
    Don't ask for confirmation before erasing or flashing

-d, --dummy
    Don't write to flash

-m, --mtd
    Avoid accessing the flash directly if the BMC supports it. This will access the flash through the kernel MTD layer and not the flash directly

-b, --bmc
    Target BMC flash instead of host flash. Note: This carries a high chance of bricking your BMC if you don't know what you're doing. Consider --mtd to be safe(r)

-F filename, --flash-file filename
    Target filename instead of actual flash.

-S, --side
    Side of the flash on which to operate, 0 (default) or 1

-T, --toc
    libffs TOC on which to operate, defaults to 0. leading 0x is required for interpretation of a hex value

  Commands:

-4, --enable-4B
    Switch the flash and controller to 4-bytes address mode (no confirmation needed).

-3, --disable-4B
    Switch the flash and controller to 3-bytes address mode (no confirmation needed).

-r file, --read=file
    Read flash content from address into file, use -s to specify the size to read (or it will use the source file size if used in conjunction with -p and -s is not specified). When using -r together with -e or -p, the read will be performed first

-E, --erase-all
    Erase entire flash chip (Not supported on all chips/controllers)

-e, --erase
    Erase the specified region. If size or address are not specified, but '--program' is used, then the file size will be used (rounded to an erase block) and the address defaults to 0.

-p file, --program=file
    Will program the file to flash. If the address is not specified, it will use 0. If the size is not specified it will use the file size. Otherwise it will limit to the specified size (whatever is smaller). If used in conjunction with any erase command, the erase will take place first.

-t, --tune
    Just tune the flash controller & access size (Implicit for all other operations)

-c --clear
    Used to ECC clear a partition of the flash Must be used in conjunction with -P. Will erase the partition and then set all the ECC bits as they should be

-i, --info
    Display some information about the flash.

-h, --help
    This message.